VST 3 SDK: Common SDK Implementation Helper Classes
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Topics | Classes | Functions
Common SDK Implementation Helper Classes

Common SDK files are located in folders "public.sdk/source/common" and "public.sdk/source/main". More...

Collaboration diagram for Common SDK Implementation Helper Classes:

## Topics
| Macros for defining the class factory
| Example - How to use the class factory macros:
| Macros for defining the compile time class factory
| Example:

## Classes
class | EventList
| Example implementation of IEventList. More...
class | MemoryStream
| Memory based Stream for IBStream implementation (using malloc). More...
class | CPluginView
| Plug-In view default implementation. More...
class | CPluginFactory
| Default Class Factory implementation. More...
class | PluginFactory< T >
| IPluginFactory implementation with compile time provided factory and class infos. More...

## Functions
bool | openURLInDefaultApplication (const String &address)
| Open the given URL into the default web browser.
std::string | readFile (const std::string &path)
| Reads entire file content.
bool | copyTextToClipboard (const std::string &text)
| Copies the given text into the system clipboard.
bool | getTextFromClipboard (std::string &text)
| Retrieves the current text from the system clipboard.

## Detailed Description

Common SDK files are located in folders "public.sdk/source/common" and "public.sdk/source/main".

See also
  VST Implementation Helper Classes

## Function Documentation

## ◆ openURLInDefaultApplication()

bool openURLInDefaultApplication | ( | const String & | address | ) |

Open the given URL into the default web browser.

It returns true if a default application is found and opened else false. Example:

if (openURLInDefaultApplication ("https://www.steinberg.net/"))
{
// everything seems to be ok
}
Steinberg::openURLInDefaultApplication
bool openURLInDefaultApplication(const String &address)
Open the given URL into the default web browser.

## ◆ readFile()

std::string readFile | ( | const std::string & | path | ) |

Reads entire file content.

Returns entire file content at the given path

## ◆ copyTextToClipboard()

bool copyTextToClipboard | ( | const std::string & | text | ) |

Copies the given text into the system clipboard.

Parameters

  text | UTF-8 encoded text

Returns
  true on success

## ◆ getTextFromClipboard()

bool getTextFromClipboard | ( | std::string & | text | ) |

Retrieves the current text from the system clipboard.

Parameters

  text | UTF-8 encoded text

Returns
  true on success

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.